Subject: Re: bug#20623: XML and HTML files with encoding/charset="utf-8" declaration loose BOM; Coding system is reset from utf-8-with-signature to utf-8 on save

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Dec 2017 11:08:50 +0200

> Date: Sun, 10 Dec 2017 21:17:00 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> I would like to propose the following alternative patch, which accepts
> utf-8-with-signature and utf-8-hfs as variants of utf-8 for the
> purposes of encoding of XML files.  Comments?  Do we want a similar
> treatment for UTF-16?  (That doesn't seem to be required by the bug
> report, and UTF-16 in XML files is non-standard anyway.  But what
> about HTML?)

No further comments, so I've pushed the change and I'm marking this
bug done.